Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::EdgeExtremityGlyphFrom2DGlyph Class Reference

`#include <EdgeExtremityGlyph.h>`

Inheritance diagram for tlp::EdgeExtremityGlyphFrom2DGlyph:
[legend]
Collaboration diagram for tlp::EdgeExtremityGlyphFrom2DGlyph:
[legend]

List of all members.

## Public Member Functions

- EdgeExtremityGlyphFrom2DGlyph (EdgeExtremityGlyphContext *gc)
- virtual ~EdgeExtremityGlyphFrom2DGlyph ()
- virtual void draw (edge, node, const Color &, float, GlGraphInputData *)
- virtual void getTransformationMatrix (const Coord &src, const Coord &dest, const Size &glyphSize, MatrixGL &transformationMatrix, MatrixGL &scalingMatrix)

## Constructor & Destructor Documentation

tlp::EdgeExtremityGlyphFrom2DGlyph::EdgeExtremityGlyphFrom2DGlyph | ( | EdgeExtremityGlyphContext * | gc | ) |

virtual tlp::EdgeExtremityGlyphFrom2DGlyph::~EdgeExtremityGlyphFrom2DGlyph | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void tlp::EdgeExtremityGlyphFrom2DGlyph::draw | ( | edge | ,
|  | node | ,
|  | const Color & | ,
|  | float | ,
|  | GlGraphInputData * |
| ) |  | `[inline, virtual]`

virtual void tlp::EdgeExtremityGlyphFrom2DGlyph::getTransformationMatrix | ( | const Coord & | src,
|  | const Coord & | dest,
|  | const Size & | glyphSize,
|  | MatrixGL & | transformationMatrix,
|  | MatrixGL & | scalingMatrix
| ) |  | `[virtual]`

Implements tlp::EdgeExtremityGlyph.

Tulip Software by LaBRI Visualization Team 2001 - 2012